list jobs.md
List Jobs
Media API · Jobs
GET https://app.mk.io/api/v1/projects/{project_name}/media/jobs
Listing, Sorting and Filtering Jobs
This endpoint returns the list of jobs in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/lastModified, properties/state, updated, updatedBy
Filtering
The $filter query parameter allows for jobs to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/lastModified, properties/state, transform, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 jobs from the list.
?$orderby=name desc - Sorts jobs by name in descending order.
?$filter=name eq 'descriptive name' - Returns jobs that match the provided name.
?$orderby=created desc - Sorts jobs by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns jobs created after January 1, 2021.
RBAC Capability Required: ams.job.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
$orderby |
string | No | Specifies the key by which the result collection should be ordered. |
$filter |
string | No | Restricts the set of items returned. |
$top |
string | No | Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n. |
$skiptoken |
string | No | Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities. |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/jobs" \
-H "Authorization: Bearer <token>"
Responses
200 — A list of all jobs
@odata.nextLink· string · Optional — @odata.nextLink URL if the page length and number of items match.supplemental· object · Required — Supplemental infocount· integer · Required — Number of items returnedkind· string · Required — Type of items in the listoperation· string · Required — Operation type. Should always say 'list'pagination· object · Required — Pagination infoend· integer · Required — Position of the last item in the listrecords· integer · Required — Total number of items returned in the liststart· integer · Required — Position of the first item in the listtotal· integer · Required — Total number of items in the project
subscription· object · Optional — Project infoid· string · Required — Project IDname· string · Required — Project name
value· list of objects · Required — A list of Jobs- Array items (object):
id· string · Optional — Fully qualified resource ID for the resource.name· string · Optional · 1-260 characters · _pattern: ^[^\
- Array items (object):